Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.validator
Class DefaultRuleContext

    java.lang.Object
      org.apache.any23.validator.DefaultRuleContext

All Implemented Interfaces:
  RuleContext<Object>

    public class DefaultRuleContext

extends Object
implements RuleContext<Object>

Default implementation of `RuleContext`.

Author:
  Michele Mostarda (mostarda@fbk.eu), Davide Palmisano (palmisano@fbk.eu)

Constructor Summary
`DefaultRuleContext()`

Method Summary
`Object` | `getData(String name)` Retrieves a registered object.
`void` | `putData(String name, Object value)` Puts a data within the context.
`void` | `removeData(String name)` Removes a data from the context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRuleContext

    public DefaultRuleContext()

Method Detail

### putData

    public void putData(String name,
                        Object value)

  Description copied from interface: `RuleContext`
  Puts a data within the context.

  Specified by:
    `putData` in interface `RuleContext<Object>`

### getData

    public Object getData(String name)

  Description copied from interface: `RuleContext`
  Retrieves a registered object.

  Specified by:
    `getData` in interface `RuleContext<Object>`
  Returns:
    a registered object, `null` if not found.

### removeData

    public void removeData(String name)

  Description copied from interface: `RuleContext`
  Removes a data from the context.

  Specified by:
    `removeData` in interface `RuleContext<Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.